# include "stdio.h"
# define U(x) ((x)&0377)
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX 200
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin ={stdin}, *yyout ={stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
#include<stdio.h>
#include<string.h>
char name[20];
FILE *pf, *spf[10];
int s;
char *argvv;
char *argvv_tmp;
char *calloc();
#ifdef input
#undef input
#undef yywrap
#endif
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
		{strcat(yytext,argvv);
			printf("%s",yytext);}
break;
case 2:
		{strcat(yytext,argvv);
			printf("%s",yytext);}
break;
case 3:
		{strcat(yytext,argvv);
			printf("%s",yytext);}
break;
case 4:
		{strcat(yytext,argvv);
			printf("%s",yytext);}
break;
case 5:
		{strcat(yytext,argvv);
			printf("%s",yytext);}
break;
case 6:
		{strcat(yytext,argvv);
			printf("%s",yytext);}
break;
case 7:
		{strcat(yytext,argvv);
			printf("%s",yytext);}
break;
case 8:
		{argvv_tmp=calloc(1,sizeof("U"));
			 strcat(argvv_tmp,"U");
			 strcat(argvv_tmp,argvv);
			 strcat(argvv_tmp,"(");
			 strcpy(yytext,argvv_tmp);
			 free(argvv_tmp);
/*			strcpy(yytext,strcat(strcat("U",argvv),"("));*/
			printf("%s",yytext);}
break;
case 9:
		{strcat(yytext,argvv);
			printf("%s",yytext);}
break;
case 10:
		{strcat(yytext,argvv);
			printf("%s",yytext);}
break;
case 11:
		{strcat(yytext,argvv);
			printf("%s",yytext);}
break;
case 12:
		{strcat(yytext,argvv);
			printf("%s",yytext);}
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */



input()
{
yytchar=yysptr>yysbuf?U(*--yysptr):getc(pf);
if (yytchar == 10)
	yylineno++;
if (yytchar == EOF)
	{
	if (s==1)
		{
		fclose(spf[s]);
		exit(0);
		}
	fclose(spf[s]);
	s = s-1;
	pf = spf[s];
	yytchar = yysptr > yysbuf ? U(*--yysptr) : getc(pf);
	}
return (yytchar);
}

main(argc,argv)
int argc;
char *argv[];
 {
 info(argc,argv);
 init_incl(argc,argv);
 yylex();
 }

init_incl(argc1,argv1)
int argc1;
char *argv1[];
{
 FILE *fopen();
 int b;
 s = argc1 -2;
 spf[0] = stdin; 
 argvv=argv1[1];
 for (b=2;b<argc1;b++)
	{
	spf[argc1-b] = fopen(argv1[b],"r");
	if (spf[argc1-b]== NULL)
		{
		fprintf(stderr,"\nerror: can't open parameter file %s \n\n", argv1[b]);
		exit(-1);
		}
	}
pf = spf[s];
}	

info(argc,argv)
int argc;
char *argv[];
	{
	fprintf(stderr,"Program for renaming of YACC and LEX global variables\n Renaming from  yy* to yyy*\n For help run with parameter /help\n Copyright (c) Koren 1993\n");
	if((argc>1 && !strcmp(argv[1],"/help"))|| argc == 1)
		{
		fprintf(stderr,"call program by: yy <par1> <par2>\n");
		fprintf(stderr,"<par1> is necessary \n");
		fprintf(stderr,"the first parameter is a string used for renaming \n");
		fprintf(stderr,"the second parameter is the name of file which is opened as input. Output is always standard output\n");
		exit(0);
		}
	}	 

yywrap()
	{
	return(1);
	}
int yyvstop[] ={
0,

8,
0,

2,
0,

1,
0,

6,
0,

10,
0,

4,
0,

11,
0,

12,
0,

7,
0,

9,
0,

5,
0,

3,
0,
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] ={
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	8,20,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	39,47,	1,3,	
4,16,	40,48,	1,4,	3,15,	
7,19,	15,27,	1,5,	16,28,	
17,29,	6,18,	19,31,	1,6,	
5,17,	27,36,	28,37,	1,7,	
18,30,	29,38,	1,8,	30,39,	
31,40,	36,45,	1,9,	9,21,	
38,46,	46,52,	47,53,	48,54,	
52,56,	53,57,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,10,	0,0,	
0,0,	0,0,	0,0,	1,11,	
1,12,	10,22,	13,25,	22,32,	
11,23,	23,33,	1,13,	12,24,	
24,34,	25,35,	1,14,	14,26,	
32,41,	33,42,	34,43,	35,44,	
41,49,	43,50,	44,51,	50,55,	
0,0};
struct yysvf yysvec[] ={
0,	0,	0,
yycrank+1,	0,		0,	
yycrank+0,	yysvec+1,	0,	
yycrank+2,	0,		0,	
yycrank+1,	0,		0,	
yycrank+2,	0,		0,	
yycrank+1,	0,		0,	
yycrank+3,	0,		0,	
yycrank+1,	0,		0,	
yycrank+2,	0,		0,	
yycrank+3,	0,		0,	
yycrank+1,	0,		0,	
yycrank+2,	0,		0,	
yycrank+4,	0,		0,	
yycrank+2,	0,		0,	
yycrank+2,	0,		0,	
yycrank+3,	0,		0,	
yycrank+3,	0,		0,	
yycrank+1,	0,		0,	
yycrank+4,	0,		0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+3,	0,		0,	
yycrank+1,	0,		0,	
yycrank+4,	0,		0,	
yycrank+9,	0,		0,	
yycrank+0,	0,		yyvstop+5,
yycrank+8,	0,		0,	
yycrank+3,	0,		0,	
yycrank+1,	0,		0,	
yycrank+3,	0,		0,	
yycrank+19,	0,		0,	
yycrank+7,	0,		0,	
yycrank+11,	0,		0,	
yycrank+14,	0,		0,	
yycrank+10,	0,		0,	
yycrank+11,	0,		0,	
yycrank+0,	0,		yyvstop+7,
yycrank+19,	0,		0,	
yycrank+1,	0,		0,	
yycrank+2,	0,		0,	
yycrank+12,	0,		0,	
yycrank+0,	0,		yyvstop+9,
yycrank+12,	0,		0,	
yycrank+14,	0,		0,	
yycrank+0,	0,		yyvstop+11,
yycrank+28,	0,		0,	
yycrank+10,	0,		0,	
yycrank+11,	0,		0,	
yycrank+0,	0,		yyvstop+13,
yycrank+15,	0,		0,	
yycrank+0,	0,		yyvstop+15,
yycrank+20,	0,		0,	
yycrank+28,	0,		0,	
yycrank+0,	0,		yyvstop+17,
yycrank+0,	0,		yyvstop+19,
yycrank+0,	0,		yyvstop+21,
yycrank+0,	0,		yyvstop+23,
0,	0,	0};
struct yywork *yytop = yycrank+131;
struct yysvf *yybgin = yysvec+1;
char yymatch[] ={
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
'(' ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
0};
char yyextra[] ={
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	ncform	4.1	83/08/11	*/

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank){		/* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"unsigned char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback(p, m)
	int *p;
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput(c)
  int c; {
	output(c);
	}
yyunput(c)
   int c; {
	unput(c);
	}
